import pyaxml
import click


@click.command()
@click.argument("input_file")
def copy_arsc(input_file):
    filename = input_file
    with open(filename, "rb") as f:
        # Read AXML and get XML object
        axml_object, _ = pyaxml.ARSC.from_axml(f.read())

        axml_object.compute()
        print(axml_object.proto)


if __name__ == "__main__":
    copy_arsc()
